---
- hosts: localhost
  tasks:
          - name: Define variable in task.
            shell: read -r BUILD_LATEST < filename.txt &&  echo $BUILD_LATEST
            register : BUILD_LATEST
          - debug:
              var: BUILD_LATEST.stdout_lines[0]
          - file:
             path: /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWeb
             state: absent
          - get_url:
             dest: /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWeb.war
             force: true
             url: "{{ BUILD_LATEST.stdout_lines[0]}}"
          - name: Copy the build to the docker staging server (container id) DOCKER_CONT_ID
            shell: "docker cp /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWorldJavaEE.war tomcat1:/usr/local/tomcat/webapps"
          - name: Copy the build to the docker staging server (container id) DOCKER_CONT_ID
            shell: "docker cp /home/ub/Downloads/apache-tomcat-9.0.16/webapps/HelloWorldJavaEE.war tomcat2:/usr/local/tomcat/webapps"
